
Foreman - Bug #10247

Hostname tooltip are truncated

04/23/2015 03:50 AM - Jérôme Vizcaino

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Web Interface   

Target version: 1.9.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.7.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Howto reproduce :

create a host with a long FQDN (30+ chars)

goto to 'All hosts' page

full hostname is truncated and hovering with mouse renders a tooltip

tooltip truncates the displayed FQND

Bug is related to #2879

Looking at different results, it seems the tooltip width (or max-width) is hardcoded, therefore not adapting to the actual text width.

Related issues:

Related to Foreman - Bug #5733: Puppet class names get shortened Resolved 05/15/2014

History

#1 - 04/23/2015 03:53 AM - Dominic Cleal

- Related to Bug #5733: Puppet class names get shortened added

#2 - 04/30/2015 03:08 AM - Sebastian Gerhards

It would be nice, if it would be possible to set a default max-size for the trunc_with_tooltip function in the settings section of the foreman web-ui to

override the default of 32 characters. Thus it would render the hardcoded values in the HTML templates superfluous.

Otherwise the size could be made dependent on the width of the column. Usually there is lots of usable space left in the rows.

#3 - 08/16/2015 10:27 AM - Tomer Brisker

- Status changed from New to Resolved

- translation missing: en.field_release set to 35

This is fixed for 1.9. Fixed by the PR for #8861.

Please reopen if occurs again with Foreman >= 1.9.
